Instagram Comments API
curl --request POST \
--url https://api.socq.ai/v1/instagram/comments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"urls": [
"<string>"
],
"callback_url": "<string>"
}
'import requests
url = "https://api.socq.ai/v1/instagram/comments"
payload = {
"urls": ["<string>"],
"callback_url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({urls: ['<string>'], callback_url: '<string>'})
};
fetch('https://api.socq.ai/v1/instagram/comments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 123,
"data": {
"task_id": "<string>",
"status": "<string>",
"created_time": "<string>",
"idempotent_replay": true
}
}Instagram 评论
采集公众Instagram评论数据。
POST
/
v1
/
instagram
/
comments
Instagram Comments API
采集公共帖子 URL 的公共 Instagram 评论数据,包括评论文本、作者字段、参与度指标和原始 JSONL 输出。端点
POST https://api.socq.ai/v1/instagram/comments
请求正文
{
"urls": ["https://www.instagram.com/p/POST_CODE/"]
}
与 MCP 一起使用
| 接口 | 值 |
|---|---|
| REST | POST /v1/instagram/comments |
| Compact MCP | socq_execute 与 endpoint: "instagram/comments" |
| Typed MCP | socq_instagram_comments |
| 精确工具 URL | https://api.socq.ai/mcp?tools=instagram_comments |
| CLI | socq instagram comments |
socq_execute 的嵌套 input 对象,或将相同的字段直接传递给Typed 工具。Typed 工具还接受 _wait_seconds、_result_limit 和 _idempotency_key。
成功的采集将返回
task_id。继续 socq_get_task 直到任务成功,然后从 results.items 读取规范化记录。结果项
任务成功后,调用GET /v1/tasks/{task_id}读取results下的分页标准记录。
{
"id": "18000000000000000",
"platform": "instagram",
"resource": "comments",
"type": "comment",
"url": "https://www.instagram.com/p/POST_CODE/",
"text": "Comment text",
"author": {
"id": "25025320",
"username": "instagram",
"name": "Instagram",
"url": "https://www.instagram.com/instagram",
"avatar_url": null,
"is_verified": null,
"is_private": null
},
"metrics": {
"likes_count": 24,
"replies_count": 3
},
"media": [],
"created_at": "2026-07-07T16:00:36",
"collected_at": "2026-07-08T08:59:45",
"extra": {
"post_id": "3936101605334124689",
"post_url": "https://www.instagram.com/p/POST_CODE/",
"parent_comment_id": null,
"input_url": "https://www.instagram.com/p/POST_CODE/"
}
}
响应
{
"code": 200,
"data": {
"task_id": "A1B2C3D4E5F6G7H8",
"status": "queued",
"created_time": "2026-07-08T10:30:00"
}
}
授权
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
application/json
⌘I

